<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
function redondear_dos_decimal($valor) {
   $float_redondeado=round($valor * 100) / 100;
   return $float_redondeado;
} 
	echo"<center>";
	$idreg = $_POST['id_regalia'];
	$total = $_POST['cantidad'];
	$fecha = $_POST['fech1'];
	$idci = $_POST['elci'];
	$fija=0;
	$rfc=0;
	$liminf=0;
	$excedente=0;
	$mesletra="Error";
	
		$qPP = "SELECT idreg, rfc, nombre, appat, apmat, primera, segunda, tercera, cuarta, `calificados`,`total`,`apagar`,`fechap` FROM `regs2` join inversionista on inversionista.id_inver=regs2.id_inver WHERE idreg='".$idreg."'";


$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
	

	while (($objetoPP=mysql_fetch_object($rPP)) )
{$califs=$objetoPP->calificados;$total=$objetoPP->apagar;
	echo"<br>Reporte de regalias a pagar en $objetoPP->fechap<br><br>";
	echo"Distribuidor: $objetoPP->nombre $objetoPP->appat $objetoPP->apmat<br>R.F.C. $objetoPP->rfc<br>Personas directas calificadas: $califs<br><br><table border=\"1\">
	<th>Generacion</th><th>Cantidad Generada</th><th>A Recibir</th>
	<tr align=\"center\"><td>Primera</td><td>$objetoPP->primera</td><td>";if($califs>=1){echo"$ $objetoPP->primera";}else{echo"---";}echo"</td>
	</tr>
	<tr align=\"center\"><td>Segunda</td><td>$objetoPP->segunda</td><td>";if($califs>=2){echo"$ $objetoPP->segunda";}else{echo"---";}echo"</td>
	</tr>
	<tr align=\"center\"><td>Tercera</td><td>$objetoPP->tercera</td><td>";if($califs>=3){echo"$ $objetoPP->tercera";}else{echo"---";}echo"</td>
	</tr>
	<tr align=\"center\"><td>Cuarta</td><td>$objetoPP->cuarta</td><td>";if($califs>=4){echo"$ $objetoPP->cuarta";}else{echo"---";}echo"</td>
	</tr>
	</table><br>
	<form name=\"Agrega\" action=\"pago_regs2.php\" method=\"post\"><table>
	<tr><td align=\"right\">Total de Regalias Generadas:</td>  <td>$objetoPP->total</td></tr><tr><td align=\"right\">Total de Regalias a recibir: $</td> 
	<td><input type=\"text\" name=\"tgenerado\" size=\"6\" value=\"$objetoPP->apagar\" > </td></tr>
	
	";
	
}
	
	$impuest=$total*.07;
	$impuestos=redondear_dos_decimal($impuest);
	$pagar=$total-$impuestos;
	echo"<tr><td align=\"right\">- Impuestos $ </td> <td><input type=\"text\" name=\"timp\" size=\"6\" value=\"$impuestos\" ></td>
	</tr><tr><td align=\"right\">Total a Depositar $</td> <td><input type=\"text\" name=\"tpagar\" size=\"6\" value=\"$pagar\" ></td></tr></table><br>
	Selecciona un tipo de pago: <select name=\"tipop\"><option value=\"1\">Deposito a cuenta</option>
	<option value=\"2\">Pago en Efectivo</option><option value=\"3\">Pago con Producto</option></select><br><br>
	 <input type=hidden name=lareg value=$idreg />
	 <input type=hidden name=elrfc value=$rfc />
	 <input type=\"submit\" value=\"Continuar\" name=\"pago\"></form>";
	 
					  

?>
